- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the contracts for a given account.
HTTP request
GET https://merchantapi.googleapis.com/youtube/v1alpha/{parent=accounts/*}/contracts
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The account to list contracts for. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of contracts to return. The service may return fewer than this value. If unspecified, at most 100 contracts will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response message for the contracts.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"contracts": [
{
object ( |
| Fields | |
|---|---|
contracts[] |
The contracts for the specified account. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.